%define momorel 2

Summary: A Secure UDP Tunneling Daemon
Name: openvpn
Version: 1.6.0
Release: %{momorel}m
URL: http://sourceforge.net/projects/openvpn/
%NoSource 0 http://umn.dl.sourceforge.net/sourceforge/openvpn/%{name}-%{version}.tar.gz 9eab3719b280a12d19ef1fda286cc363
Source1: openvpn.init
License: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: lzo-devel

%description
OpenVPN is a robust and highly flexible tunneling application that
uses all of the encryption, authentication, and certification features
of the OpenSSL library to securely tunnel IP networks over a single
UDP port. It can use the Marcus Franz Xaver Johannes Oberhumer's LZO
library for compression.

%define debug_package %{nil}

%prep
%setup -q

%build
%configure --enable-pthread
%make

%install
[ %{buildroot} != "/" ] && rm -rf %{buildroot}

%__install -c -d -m 755 %{buildroot}%{_mandir}/man8
%__install -c -m 755 %{name}.8 %{buildroot}%{_mandir}/man8
%__install -c -d -m 755 %{buildroot}%{_sbindir}
%__install -c -m 755 %{name} %{buildroot}%{_sbindir}
%__install -c -d -m 755 %{buildroot}%{_initscriptdir}
%__install -c -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/%{name}
%__install -c -d -m 755 %{buildroot}%{_sysconfdir}/%{name}

%__mkdir_p %{buildroot}%{_datadir}/%{name}
%__cp -pr contrib easy-rsa sample-{config-file,key,script}s %{buildroot}%{_datadir}/%{name}

%clean
[ %{buildroot} != "/" ] && rm -rf %{buildroot}

%post
/sbin/chkconfig --add %{name}

%preun
if [ "$1" = 0 ]
then
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYRIGHT.GPL INSTALL NEWS PORTS README 
%{_mandir}/man8/%{name}.8*
%{_sbindir}/%{name}
%{_datadir}/%{name}
%config %{_initscriptdir}/%{name}
%{_sysconfdir}/%{name}

%changelog
* Thu Feb 17 2005 Toru Hoshina <t@momonga-linux.org>
- (1.6.0-2m)
- do not start/stop at %%post/%%postun.

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.0-1m)
- initial import to Momonga
